#pragma once
#include <linux/can.h>
#include "controller.hpp"

void ecu_struct_init();
void ecu_send_packet(int s);
void send_eps_cmd(int s);
void send_speed_cmd(int s);
void send_control_cmd(int s);
void ecu_send(int s, struct can_frame *frame);
int can_send(int s, struct can_frame *frame);
